from evolalg.statistics.halloffame_custom import HallOfFameCustom
from evolalg.statistics.statistics import Statistics


class HallOfFameStatistics(Statistics):
    def __init__(self, size, fields="fitness"):
        self.haloffame = HallOfFameCustom(size, fitness_field=fields)

    def init(self):
        self.haloffame.clear()

    def collect(self, population):
        self.haloffame.update(population)
